Page MenuHomePhabricator

[OPS] hhvm 3.3.0-20140925+wmf3 has some annoying build dependency
Closed, ResolvedPublic

Description

Since https://gerrit.wikimedia.org/r/150813 , we install hhvm build dependencies using apt-get build-dev hhvm.

There is a cycle in the build dependency libjpeg62-dev:

On first run:

# apt-get build-dep hhvm
The following packages will be REMOVED:
  libdjvulibre-dev libjpeg-dev libjpeg-turbo8-dev libjpeg8-dev
  libmagickcore-dev libmagickwand-dev libtiff5-dev
The following NEW packages will be installed:
  libjpeg62-dev
...

Second run will attempt to remove the libjpeg62-dev package:

# apt-get build-dep hhvm
The following packages will be REMOVED:
  libjpeg62-dev
The following NEW packages will be installed:
  libdjvulibre-dev libjpeg-dev libjpeg-turbo8-dev libjpeg8-dev
  libmagickcore-dev libmagickwand-dev libtiff5-dev
...

That breaks puppet on the continuous integration Trusty slaves.


Version: wmf-deployment
Severity: normal

Details

Reference
bz71413

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz71413.
bzimport added a subscriber: Unknown Object (MLST).
hashar created this task.Sep 29 2014, 2:39 PM
hashar added a comment.Oct 1 2014, 2:16 PM

As a side effect, that breaks puppet runs on the contint Trusty instances (integration-slave1006 integration-slave1007 and integration-slave1008).

3.3.0-20140925+wmf3 still has the issue.

The puppet manifest has been enhanced and no more blindly attempt to nstall the build dependencies on each run. As result puppet is no more broken on integration slaves, lowering priority.

hashar raised the priority of this task from Low to Needs Triage.
hashar updated the task description. (Show Details)
hashar added projects: HHVM, acl*sre-team.
hashar set Security to None.
fgiunchedi triaged this task as Low priority.Dec 19 2014, 11:51 AM
hashar closed this task as Resolved.Dec 22 2014, 9:11 PM
hashar claimed this task.

Fixed by @Joe with HHVM package 3.3.1+dfsg1-1+wm1 . The changelog has:

hhvm (3.3.1+dfsg1-1+wm1) UNRELEASED; urgency=medium
...
  * remove build-dep alternative for libjpeg62-dev which was confusing trusty

 -- Giuseppe Lavagetto <glavagetto@wikimedia.org>  Wed, 17 Dec 2014 10:46:22 +0100

I have confirmed on integration-slave1009 that there is no more cycles when running apt-get build-dep hhvm twice in a row.

Thanks @Joe !